diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
index e49e2d05..2f21c897 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
@@ -1775,14 +1351,7 @@ void RTI1516ambassador::associateRegionsForUpdates(
 void RTI1516ambassador::unassociateRegionsForUpdates(
     rti1516::ObjectInstanceHandle /*theObject*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const&
-        /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516::ObjectInstanceNotKnown,
-                                                              rti1516::AttributeNotDefined,
-                                                              rti1516::InvalidRegion,
-                                                              rti1516::RegionNotCreatedByThisFederate,
-                                                              rti1516::FederateNotExecutionMember,
-                                                              rti1516::SaveInProgress,
-                                                              rti1516::RestoreInProgress,
-                                                              rti1516::RTIinternalError)
+        /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1792,15 +1361,7 @@ void RTI1516ambassador::unassociateRegionsForUpdates(
 void RTI1516ambassador::subscribeObjectClassAttributesWithRegions(
     rti1516::ObjectClassHandle /*theClass*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const& /*theAttributeHandleSetRegionHandleSetPairVector*/,
-    bool /*active*/) throw(rti1516::ObjectClassNotDefined,
-                       rti1516::AttributeNotDefined,
-                       rti1516::InvalidRegion,
-                       rti1516::RegionNotCreatedByThisFederate,
-                       rti1516::InvalidRegionContext,
-                       rti1516::FederateNotExecutionMember,
-                       rti1516::SaveInProgress,
-                       rti1516::RestoreInProgress,
-                       rti1516::RTIinternalError)
+    bool /*active*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1810,14 +1371,7 @@ void RTI1516ambassador::subscribeObjectClassAttributesWithRegions(
 void RTI1516ambassador::unsubscribeObjectClassAttributesWithRegions(
     rti1516::ObjectClassHandle /*theClass*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const&
-        /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516::ObjectClassNotDefined,
-                                                              rti1516::AttributeNotDefined,
-                                                              rti1516::InvalidRegion,
-                                                              rti1516::RegionNotCreatedByThisFederate,
-                                                              rti1516::FederateNotExecutionMember,
-                                                              rti1516::SaveInProgress,
-                                                              rti1516::RestoreInProgress,
-                                                              rti1516::RTIinternalError)
+        /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1827,15 +1381,7 @@ void RTI1516ambassador::unsubscribeObjectClassAttributesWithRegions(
 void RTI1516ambassador::subscribeInteractionClassWithRegions(
     rti1516::InteractionClassHandle /*theClass*/,
     rti1516::RegionHandleSet const& /*theRegionHandleSet*/,
-    bool /*active*/) throw(rti1516::InteractionClassNotDefined,
-                       rti1516::InvalidRegion,
-                       rti1516::RegionNotCreatedByThisFederate,
-                       rti1516::InvalidRegionContext,
-                       rti1516::FederateServiceInvocationsAreBeingReportedViaMOM,
-                       rti1516::FederateNotExecutionMember,
-                       rti1516::SaveInProgress,
-                       rti1516::RestoreInProgress,
-                       rti1516::RTIinternalError)
+    bool /*active*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1844,13 +1390,7 @@ void RTI1516ambassador::subscribeInteractionClassWithRegions(
 // 9.11
 void RTI1516ambassador::unsubscribeInteractionClassWithRegions(
     rti1516::InteractionClassHandle /*theClass*/,
-    rti1516::RegionHandleSet const& /*theRegionHandleSet*/) throw(rti1516::InteractionClassNotDefined,
-                                                              rti1516::InvalidRegion,
-                                                              rti1516::RegionNotCreatedByThisFederate,
-                                                              rti1516::FederateNotExecutionMember,
-                                                              rti1516::SaveInProgress,
-                                                              rti1516::RestoreInProgress,
-                                                              rti1516::RTIinternalError)
+    rti1516::RegionHandleSet const& /*theRegionHandleSet*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1861,16 +1401,7 @@ void RTI1516ambassador::sendInteractionWithRegions(
     rti1516::InteractionClassHandle /*theInteraction*/,
     rti1516::ParameterHandleValueMap const& /*theParameterValues*/,
     rti1516::RegionHandleSet const& /*theRegionHandleSet*/,
-    rti1516::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516::InteractionClassNotDefined,
-                                                                 rti1516::InteractionClassNotPublished,
-                                                                 rti1516::InteractionParameterNotDefined,
-                                                                 rti1516::InvalidRegion,
-                                                                 rti1516::RegionNotCreatedByThisFederate,
-                                                                 rti1516::InvalidRegionContext,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1881,17 +1412,7 @@ rti1516::MessageRetractionHandle RTI1516ambassador::sendInteractionWithRegions(
     rti1516::ParameterHandleValueMap const& /*theParameterValues*/,
     rti1516::RegionHandleSet const& /*theRegionHandleSet*/,
     rti1516::VariableLengthData const& /*theUserSuppliedTag*/,
-    rti1516::LogicalTime const& /*theTime*/) throw(rti1516::InteractionClassNotDefined,
-                                               rti1516::InteractionClassNotPublished,
-                                               rti1516::InteractionParameterNotDefined,
-                                               rti1516::InvalidRegion,
-                                               rti1516::RegionNotCreatedByThisFederate,
-                                               rti1516::InvalidRegionContext,
-                                               rti1516::InvalidLogicalTime,
-                                               rti1516::FederateNotExecutionMember,
-                                               rti1516::SaveInProgress,
-                                               rti1516::RestoreInProgress,
-                                               rti1516::RTIinternalError)
+    rti1516::LogicalTime const& /*theTime*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1901,15 +1422,7 @@ rti1516::MessageRetractionHandle RTI1516ambassador::sendInteractionWithRegions(
 void RTI1516ambassador::requestAttributeValueUpdateWithRegions(
     rti1516::ObjectClassHandle /*theClass*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const& /*theSet*/,
-    rti1516::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516::ObjectClassNotDefined,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::InvalidRegion,
-                                                                 rti1516::RegionNotCreatedByThisFederate,
-                                                                 rti1516::InvalidRegionContext,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1920,8 +1433,7 @@ void RTI1516ambassador::requestAttributeValueUpdateWithRegions(
 //////////////////////////
 
 // 10.2
-rti1516::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring const& theName) throw(
-    rti1516::NameNotFound, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring const& theName)
 {
     M_Get_Object_Class_Handle req, rep;
 
@@ -1939,8 +1451,7 @@ rti1516::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring
 }
 
 // 10.3
-std::wstring RTI1516ambassador::getObjectClassName(rti1516::ObjectClassHandle theHandle) throw(
-    rti1516::InvalidObjectClassHandle, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getObjectClassName(rti1516::ObjectClassHandle theHandle)
 {
     M_Get_Object_Class_Name req, rep;
 
@@ -1963,10 +1474,7 @@ std::wstring RTI1516ambassador::getObjectClassName(rti1516::ObjectClassHandle th
 // 10.4
 rti1516::AttributeHandle
 RTI1516ambassador::getAttributeHandle(rti1516::ObjectClassHandle whichClass,
-                                      std::wstring const& theAttributeName) throw(rti1516::InvalidObjectClassHandle,
-                                                                                  rti1516::NameNotFound,
-                                                                                  rti1516::FederateNotExecutionMember,
-                                                                                  rti1516::RTIinternalError)
+                                      std::wstring const& theAttributeName)
 {
     Debug(G, pdGendoc) << "enter RTI::RTI1516ambassador::getAttributeHandle" << std::endl;
     M_Get_Attribute_Handle req, rep;
@@ -1994,11 +1502,7 @@ RTI1516ambassador::getAttributeHandle(rti1516::ObjectClassHandle whichClass,
 // 10.5
 std::wstring
 RTI1516ambassador::getAttributeName(rti1516::ObjectClassHandle whichClass,
-                                    rti1516::AttributeHandle theHandle) throw(rti1516::InvalidObjectClassHandle,
-                                                                              rti1516::InvalidAttributeHandle,
-                                                                              rti1516::AttributeNotDefined,
-                                                                              rti1516::FederateNotExecutionMember,
-                                                                              rti1516::RTIinternalError)
+                                    rti1516::AttributeHandle theHandle)
 {
     M_Get_Attribute_Name req, rep;
 
@@ -2033,8 +1537,7 @@ RTI1516ambassador::getAttributeName(rti1516::ObjectClassHandle whichClass,
 }
 
 // 10.6
-rti1516::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(std::wstring const& theName) throw(
-    rti1516::NameNotFound, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(std::wstring const& theName)
 {
     M_Get_Interaction_Class_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
@@ -2046,8 +1549,7 @@ rti1516::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(std
 }
 
 // 10.7
-std::wstring RTI1516ambassador::getInteractionClassName(rti1516::InteractionClassHandle theHandle) throw(
-    rti1516::InvalidInteractionClassHandle, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getInteractionClassName(rti1516::InteractionClassHandle theHandle)
 {
     M_Get_Interaction_Class_Name req, rep;
     req.setInteractionClass(rti1516::InteractionClassHandleFriend::toCertiHandle(theHandle));
@@ -2073,10 +1575,7 @@ std::wstring RTI1516ambassador::getInteractionClassName(rti1516::InteractionClas
 // 10.8
 rti1516::ParameterHandle
 RTI1516ambassador::getParameterHandle(rti1516::InteractionClassHandle whichClass,
-                                      std::wstring const& theName) throw(rti1516::InvalidInteractionClassHandle,
-                                                                         rti1516::NameNotFound,
-                                                                         rti1516::FederateNotExecutionMember,
-                                                                         rti1516::RTIinternalError)
+                                      std::wstring const& theName)
 {
     M_Get_Parameter_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
@@ -2101,11 +1600,7 @@ RTI1516ambassador::getParameterHandle(rti1516::InteractionClassHandle whichClass
 // 10.9
 std::wstring
 RTI1516ambassador::getParameterName(rti1516::InteractionClassHandle whichClass,
-                                    rti1516::ParameterHandle theHandle) throw(rti1516::InvalidInteractionClassHandle,
-                                                                              rti1516::InvalidParameterHandle,
-                                                                              rti1516::InteractionParameterNotDefined,
-                                                                              rti1516::FederateNotExecutionMember,
-                                                                              rti1516::RTIinternalError)
+                                    rti1516::ParameterHandle theHandle)
 {
     M_Get_Parameter_Name req, rep;
 
@@ -2132,8 +1627,7 @@ RTI1516ambassador::getParameterName(rti1516::InteractionClassHandle whichClass,
 }
 
 // 10.10
-rti1516::ObjectInstanceHandle RTI1516ambassador::getObjectInstanceHandle(std::wstring const& theName) throw(
-    rti1516::ObjectInstanceNotKnown, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::ObjectInstanceHandle RTI1516ambassador::getObjectInstanceHandle(std::wstring const& theName)
 {
     M_Get_Object_Instance_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
@@ -2144,8 +1638,7 @@ rti1516::ObjectInstanceHandle RTI1516ambassador::getObjectInstanceHandle(std::ws
 }
 
 // 10.11
-std::wstring RTI1516ambassador::getObjectInstanceName(rti1516::ObjectInstanceHandle theHandle) throw(
-    rti1516::ObjectInstanceNotKnown, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getObjectInstanceName(rti1516::ObjectInstanceHandle theHandle)
 {
     M_Get_Object_Instance_Name req, rep;
     req.setObject(rti1516::ObjectInstanceHandleFriend::toCertiHandle(theHandle));
@@ -2159,8 +1652,7 @@ std::wstring RTI1516ambassador::getObjectInstanceName(rti1516::ObjectInstanceHan
 }
 
 // 10.12
-rti1516::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring const& theName) throw(
-    rti1516::NameNotFound, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring const& theName)
 {
     M_Get_Dimension_Handle req, rep;
 
@@ -2172,8 +1664,7 @@ rti1516::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring cons
 }
 
 // 10.13
-std::wstring RTI1516ambassador::getDimensionName(rti1516::DimensionHandle theHandle) throw(
-    rti1516::InvalidDimensionHandle, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getDimensionName(rti1516::DimensionHandle theHandle)
 {
     M_Get_Dimension_Name req, rep;
 
@@ -2188,8 +1679,7 @@ std::wstring RTI1516ambassador::getDimensionName(rti1516::DimensionHandle theHan
 }
 
 // 10.14
-unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516::DimensionHandle /*theHandle*/) throw(
-    rti1516::InvalidDimensionHandle, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516::DimensionHandle /*theHandle*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -2197,11 +1687,7 @@ unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516::DimensionHandle
 
 // 10.15
 rti1516::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForClassAttribute(
-    rti1516::ObjectClassHandle theClass, rti1516::AttributeHandle theHandle) throw(rti1516::InvalidObjectClassHandle,
-                                                                                   rti1516::InvalidAttributeHandle,
-                                                                                   rti1516::AttributeNotDefined,
-                                                                                   rti1516::FederateNotExecutionMember,
-                                                                                   rti1516::RTIinternalError)
+    rti1516::ObjectClassHandle theClass, rti1516::AttributeHandle theHandle)
 {
     M_Get_Attribute_Space_Handle req, rep;
 
@@ -2216,8 +1702,7 @@ rti1516::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForClassAtt
 }
 
 // 10.16
-rti1516::ObjectClassHandle RTI1516ambassador::getKnownObjectClassHandle(rti1516::ObjectInstanceHandle theObject) throw(
-    rti1516::ObjectInstanceNotKnown, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::ObjectClassHandle RTI1516ambassador::getKnownObjectClassHandle(rti1516::ObjectInstanceHandle theObject)
 {
     M_Get_Object_Class req, rep;
 
@@ -2228,8 +1713,7 @@ rti1516::ObjectClassHandle RTI1516ambassador::getKnownObjectClassHandle(rti1516:
 
 // 10.17
 rti1516::DimensionHandleSet
-RTI1516ambassador::getAvailableDimensionsForInteractionClass(rti1516::InteractionClassHandle theClass) throw(
-    rti1516::InvalidInteractionClassHandle, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+RTI1516ambassador::getAvailableDimensionsForInteractionClass(rti1516::InteractionClassHandle theClass)
 {
     M_Get_Interaction_Space_Handle req, rep;
 
@@ -2243,8 +1727,7 @@ RTI1516ambassador::getAvailableDimensionsForInteractionClass(rti1516::Interactio
 }
 
 // 10.18
-rti1516::TransportationType RTI1516ambassador::getTransportationType(std::wstring const& transportationName) throw(
-    rti1516::InvalidTransportationName, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::TransportationType RTI1516ambassador::getTransportationType(std::wstring const& transportationName)
 {
     M_Get_Transportation_Handle req, rep;
     std::string nameString(transportationName.begin(), transportationName.end());
@@ -2255,8 +1738,7 @@ rti1516::TransportationType RTI1516ambassador::getTransportationType(std::wstrin
 }
 
 // 10.19
-std::wstring RTI1516ambassador::getTransportationName(rti1516::TransportationType transportationType) throw(
-    rti1516::InvalidTransportationType, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getTransportationName(rti1516::TransportationType transportationType)
 {
     M_Get_Transportation_Name req, rep;
 
@@ -2271,8 +1753,7 @@ std::wstring RTI1516ambassador::getTransportationName(rti1516::TransportationTyp
 }
 
 // 10.20
-rti1516::OrderType RTI1516ambassador::getOrderType(std::wstring const& orderName) throw(
-    rti1516::InvalidOrderName, rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+rti1516::OrderType RTI1516ambassador::getOrderType(std::wstring const& orderName)
 {
     M_Get_Ordering_Handle req, rep;
 
@@ -2284,9 +1765,7 @@ rti1516::OrderType RTI1516ambassador::getOrderType(std::wstring const& orderName
 }
 
 // 10.21
-std::wstring RTI1516ambassador::getOrderName(rti1516::OrderType orderType) throw(rti1516::InvalidOrderType,
-                                                                                 rti1516::FederateNotExecutionMember,
-                                                                                 rti1516::RTIinternalError)
+std::wstring RTI1516ambassador::getOrderName(rti1516::OrderType orderType)
 {
     M_Get_Ordering_Name req, rep;
 
@@ -2319,12 +1798,7 @@ std::wstring RTI1516ambassador::getOrderName(rti1516::OrderType orderType) throw
  * stopRegistrationForObjectClass respectively are not invoked.
  * @see disableClassRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch() throw(
-    rti1516::ObjectClassRelevanceAdvisorySwitchIsOn,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch()
 {
     M_Enable_Class_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2349,12 +1823,7 @@ void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch() throw(
  * services startRegistrationForObjectClass and
  * stopRegistrationForObjectClass respectively are not invoked.
  */
-void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch() throw(
-    rti1516::ObjectClassRelevanceAdvisorySwitchIsOff,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch()
 {
     M_Disable_Class_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2380,11 +1849,7 @@ void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch() throw(
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  * @see disableAttributeRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch() throw(rti1516::AttributeRelevanceAdvisorySwitchIsOn,
-                                                                       rti1516::FederateNotExecutionMember,
-                                                                       rti1516::SaveInProgress,
-                                                                       rti1516::RestoreInProgress,
-                                                                       rti1516::RTIinternalError)
+void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch()
 {
     M_Enable_Attribute_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2410,11 +1875,7 @@ void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch() throw(rti1516::
  * services turnUpdatesOnForObjectInstance and
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  */
-void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch() throw(rti1516::AttributeRelevanceAdvisorySwitchIsOff,
-                                                                        rti1516::FederateNotExecutionMember,
-                                                                        rti1516::SaveInProgress,
-                                                                        rti1516::RestoreInProgress,
-                                                                        rti1516::RTIinternalError)
+void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch()
 {
     M_Disable_Attribute_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2439,11 +1900,7 @@ void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch() throw(rti1516:
  * not invoked.
  * @see disableAttributeScopeAdvisorySwitch()
  */
-void RTI1516ambassador::enableAttributeScopeAdvisorySwitch() throw(rti1516::AttributeScopeAdvisorySwitchIsOn,
-                                                                   rti1516::FederateNotExecutionMember,
-                                                                   rti1516::SaveInProgress,
-                                                                   rti1516::RestoreInProgress,
-                                                                   rti1516::RTIinternalError)
+void RTI1516ambassador::enableAttributeScopeAdvisorySwitch()
 {
     M_Enable_Attribute_Scope_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2468,11 +1925,7 @@ void RTI1516ambassador::enableAttributeScopeAdvisorySwitch() throw(rti1516::Attr
  * services attributesInScope and attributesOutScope respectively are
  * not invoked.
  */
-void RTI1516ambassador::disableAttributeScopeAdvisorySwitch() throw(rti1516::AttributeScopeAdvisorySwitchIsOff,
-                                                                    rti1516::FederateNotExecutionMember,
-                                                                    rti1516::SaveInProgress,
-                                                                    rti1516::RestoreInProgress,
-                                                                    rti1516::RTIinternalError)
+void RTI1516ambassador::disableAttributeScopeAdvisorySwitch()
 {
     M_Disable_Attribute_Scope_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2497,12 +1950,7 @@ void RTI1516ambassador::disableAttributeScopeAdvisorySwitch() throw(rti1516::Att
  * not invoked.
  * @see disableInteractionRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch() throw(
-    rti1516::InteractionRelevanceAdvisorySwitchIsOn,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch()
 {
     M_Enable_Interaction_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2527,12 +1975,7 @@ void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch() throw(
  * services turnInteractionsOn and turnInteractionsOff respectively are
  * not invoked.
  */
-void RTI1516ambassador::disableInteractionRelevanceAdvisorySwitch() throw(
-    rti1516::InteractionRelevanceAdvisorySwitchIsOff,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::disableInteractionRelevanceAdvisorySwitch()
 {
     M_Disable_Interaction_Relevance_Advisory_Switch req, rep;
     privateRefs->executeService(&req, &rep);
@@ -2540,12 +1983,7 @@ void RTI1516ambassador::disableInteractionRelevanceAdvisorySwitch() throw(
 
 // 10.30
 
-rti1516::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516::RegionHandle /*theRegionHandle*/) throw(
-    rti1516::InvalidRegion,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+rti1516::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516::RegionHandle /*theRegionHandle*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -2555,12 +1993,7 @@ rti1516::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516::Re
 
 rti1516::RangeBounds RTI1516ambassador::getRangeBounds(
     rti1516::RegionHandle /*theRegionHandle*/,
-    rti1516::DimensionHandle /*theDimensionHandle*/) throw(rti1516::InvalidRegion,
-                                                       rti1516::RegionDoesNotContainSpecifiedDimension,
-                                                       rti1516::FederateNotExecutionMember,
-                                                       rti1516::SaveInProgress,
-                                                       rti1516::RestoreInProgress,
-                                                       rti1516::RTIinternalError)
+    rti1516::DimensionHandle /*theDimensionHandle*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -2570,38 +2003,28 @@ rti1516::RangeBounds RTI1516ambassador::getRangeBounds(
 void RTI1516ambassador::setRangeBounds(
     rti1516::RegionHandle /*theRegionHandle*/,
     rti1516::DimensionHandle /*theDimensionHandle*/,
-    rti1516::RangeBounds const& /*theRangeBounds*/) throw(rti1516::InvalidRegion,
-                                                      rti1516::RegionNotCreatedByThisFederate,
-                                                      rti1516::RegionDoesNotContainSpecifiedDimension,
-                                                      rti1516::InvalidRangeBound,
-                                                      rti1516::FederateNotExecutionMember,
-                                                      rti1516::SaveInProgress,
-                                                      rti1516::RestoreInProgress,
-                                                      rti1516::RTIinternalError)
+    rti1516::RangeBounds const& /*theRangeBounds*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 10.33
-unsigned long RTI1516ambassador::normalizeFederateHandle(rti1516::FederateHandle /*theFederateHandle*/) throw(
-    rti1516::FederateNotExecutionMember, rti1516::InvalidFederateHandle, rti1516::RTIinternalError)
+unsigned long RTI1516ambassador::normalizeFederateHandle(rti1516::FederateHandle /*theFederateHandle*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 10.34
-unsigned long RTI1516ambassador::normalizeServiceGroup(rti1516::ServiceGroupIndicator /*theServiceGroup*/) throw(
-    rti1516::FederateNotExecutionMember, rti1516::InvalidServiceGroup, rti1516::RTIinternalError)
+unsigned long RTI1516ambassador::normalizeServiceGroup(rti1516::ServiceGroupIndicator /*theServiceGroup*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 10.37
-bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds) throw(rti1516::FederateNotExecutionMember,
-                                                                                    rti1516::RTIinternalError)
+bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds)
 {
     return __tick_kernel(false, approximateMinimumTimeInSeconds, approximateMinimumTimeInSeconds);
 }
